Skip to content
Guides
API reference
stablesettings:read

Get store settings

Get store settings

GET/v1/stores/settings

Get store settings

Authorization

bearerAuth
AuthorizationBearer <token>

OAuth2 access token issued by Ecomiq Auth.

In: header

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/v1/stores/settings"
{  "id": "string",  "name": "string",  "description": "string",  "slug": null,  "domain": null,  "logo": null,  "favicon": null,  "icon": null,  "visibility": "public",  "timeZone": "string",  "currency": "string",  "language": "string",  "themeConfig": {    "name": null,    "mode": null,    "colors": {      "property1": "string",      "property2": "string"    },    "fonts": {      "property1": "string",      "property2": "string"    },    "assets": {      "property1": "string",      "property2": "string"    }  },  "featuresEnabled": {    "flags": {      "property1": true,      "property2": true    }  },  "checkoutSettings": {    "general": {      "allowGuestCheckout": true,      "identityScope": "store",      "signInMethods": [],      "useSequentialOrderNumbers": true,      "automaticallySelectFirstAddress": true,      "alwaysRequestCustomerAddress": true,      "requestCustomerDateOfBirth": true,      "automaticallySelectBestPromotion": true    },    "shipping": {      "showDeliveryTime": true,      "showDeliveryTimeInDays": true,      "useBusinessDaysForDeliveryTime": true,      "showEstimatedDeliveryDateInThankYouAndEmails": true,      "showOriginalShippingPriceWhenFree": true    },    "cartPage": {      "showShippingCostCalculation": true,      "allowProductLinks": true,      "redirectToCartPage": true    },    "orderBumps": {      "mergeOrderBumpOrders": true,      "allowOnlyOneAdditionalOffer": true,      "maxVisibleOffers": 0    },    "ordersAndPayments": {      "allowPurchasesFrom": "any",      "creditCardDailyOrderLimitPerIp": null,      "maximumItemsPerOrder": null,      "deliveryNoteText": null,      "boletoPaymentNoteText": null    }  }}